IF EXISTS ( SELECT * 
            FROM   sysobjects 
            WHERE  id = object_id(N'[dbo].[CP_AppEve_InscMod]') 
                   and OBJECTPROPERTY(id, N'IsProcedure') = 1 )
BEGIN
    DROP PROCEDURE [dbo].[CP_AppEve_InscMod] 
END
GO

CREATE PROCEDURE [dbo].[CP_AppEve_InscMod]
@Doc_Nro BIGINT, 
@Apellido VARCHAR(100), 
@Nombre VARCHAR(100), 
@FNac DATE, 
@Sexo CHAR(1), 
@Empresa VARCHAR(254), 
@Id_Producto CHAR(14),
@Id_Cliente INT,
@Id_Trans INT
AS

BEGIN TRY

IF (@Id_Cliente > 0)
BEGIN

	UPDATE Clientes SET
		Apellido = @Apellido,
		Nombre = @Nombre,
		Razon_Social = LTRIM(RTRIM(@Apellido)) + ' ' + LTRIM(RTRIM(@Nombre)),
		Sexo = @Sexo,
		Id_Tipo_Doc = 1,
		Doc_Nro = @Doc_Nro,
		Fecha_Nac = @FNac,
		Web = @Empresa
	WHERE Id_Cliente = @Id_Cliente

END

IF (@Id_Trans > 0)
BEGIN

	DECLARE @Descripcion_producto VARCHAR(100);
	SET @Descripcion_producto = (SELECT Descripcion_Resumida FROM productos WHERE Id_Producto=@Id_Producto)

	UPDATE Cbtes_Items SET
		Id_Producto =  @Id_Producto,
		Descripcion_producto = @Descripcion_producto
	WHERE Id_Trans = @Id_Trans

END



END TRY  
BEGIN CATCH  
    -- Execute error retrieval routine.  
    EXECUTE usp_GetErrorInfo;  
END CATCH;   

